> ## Documentation Index
> Fetch the complete documentation index at: https://botpress.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# callAction

> Call an action



## OpenAPI

````yaml /runtime-openapi.json post /v1/chat/actions
openapi: 3.0.0
info:
  title: Botpress Runtime API
  description: API for Botpress Runtime
  version: 1.82.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/chat/actions:
    post:
      tags:
        - Endpoints
      description: Call an action
      operationId: callAction
      parameters:
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/callActionBody'
      responses:
        '200':
          $ref: '#/components/responses/callActionResponse'
        default:
          $ref: '#/components/responses/callActionResponse'
components:
  requestBodies:
    callActionBody:
      description: Action payload
      content:
        application/json:
          schema:
            type: object
            properties:
              type:
                type: string
                maxLength: 200
                description: Type of the action
              input:
                type: object
                additionalProperties: true
                description: Input of the action
            required:
              - type
              - input
            title: callActionBody
            additionalProperties: false
  responses:
    callActionResponse:
      description: Action payload
      content:
        application/json:
          schema:
            type: object
            properties:
              output:
                type: object
                additionalProperties: true
                description: Input of the action
              meta:
                type: object
                properties:
                  cached:
                    type: boolean
                required:
                  - cached
                additionalProperties: false
            required:
              - output
              - meta
            title: callActionResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````